Create connect link
POST
/partners/connections/connect-linkMints a Plaid Hosted Link URL for connecting a new bank account.
Hand `hostedLinkUrl` to a human to open in a browser. After they finish, call complete-connect-link with the same `linkToken`.
HMAC signature + Bearer access token
Try this requestResponses
200Hosted Link session created.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootPOST
https://api.getcount.com/partners/connections/connect-linkRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'POST';
const signingPath = '/connections/connect-link';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/connections/connect-link`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"data": {
"linkToken": "link-sandbox-xxxxxxxx",
"hostedLinkUrl": "https://cdn.plaid.com/link/v2/stable/link.html?isWebview=true&token=…"
}
}